react-google-maps versions and peer dependencies

The table below has a list of all versions of react-google-maps compatible peers dependencies.

Version Peer Dependency Versions
1.0.0 - 1.7.1
  • react @ ^0.13.0
2.0.0 - 2.2.0
  • react @ ^0.13.0
4.0.0 - 4.9.1
  • react @ ^0.14.0
  • react-dom @ ^0.14.0
4.10.0 - 4.11.0
  • react @ ^0.14.0 || ^15.0.0
  • react-dom @ ^0.14.0 || ^15.0.0
5.0.0 - 5.1.1
  • react @ ^0.14.0 || ^15.0.0
  • react-dom @ ^0.14.0 || ^15.0.0
6.0.0 - 6.3.0
  • react @ ^15.0.0
  • react-dom @ ^15.0.0
7.0.0 - 7.2.0
  • react @ ^15.5.4
  • react-dom @ ^15.5.4
7.3.0
  • react @ ^15.5.4
  • react-dom @ ^15.5.4
8.0.0 - 8.3.3
  • react @ ^15.5.4
  • react-dom @ ^15.5.4
8.3.4 - 8.5.0
  • react @ ^15.0.0
  • react-dom @ ^15.0.0
9.0.0 - 9.0.3
  • react @ ^15.0.0
  • react-dom @ ^15.0.0
9.1.0 - 9.2.3
  • react @ ^15.0.0 || ^16.0.0
  • react-dom @ ^15.0.0 || ^16.0.0
9.3.0 - 9.4.5
  • @types/googlemaps @ ^3.0.0
  • @types/markerclustererplus @ ^2.1.29
  • @types/react @ ^15.0.0 || ^16.0.0
  • react @ ^15.0.0 || ^16.0.0
  • react-dom @ ^15.0.0 || ^16.0.0